Functions
Data_Management
Peripheral Driver » LL Driver » HMAC » Functions

## Functions
__STATIC_INLINE void | ll_hmac_set_user_hash_255_224 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[255:224]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_223_192 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[223:192]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_191_160 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[191:160]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_159_128 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[159:128]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_127_96 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[127:96]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_95_64 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[95:64]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_63_32 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[63:32]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_31_0 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[31:0]. More...
__STATIC_INLINE uint32_t | ll_hmac_get_data (hmac_regs_t *HMACx)
| Get abstract from HMAC. More...
__STATIC_INLINE void | ll_hmac_set_data (hmac_regs_t *HMACx, uint32_t data)
| Send data to calculate. More...
__STATIC_INLINE void | ll_hmac_set_key0 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key0. More...
__STATIC_INLINE void | ll_hmac_set_key1 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key1. More...
__STATIC_INLINE void | ll_hmac_set_key2 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key2. More...
__STATIC_INLINE void | ll_hmac_set_key3 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key3. More...
__STATIC_INLINE void | ll_hmac_set_key4 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key4. More...
__STATIC_INLINE void | ll_hmac_set_key5 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key5. More...
__STATIC_INLINE void | ll_hmac_set_key6 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key6. More...
__STATIC_INLINE void | ll_hmac_set_key7 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key7. More...
__STATIC_INLINE void | ll_hmac_set_key_address (hmac_regs_t *HMACx, uint32_t address)
| Set HMAC key address in memory. More...
__STATIC_INLINE uint32_t | ll_hmac_get_key_address (hmac_regs_t *HMACx)
| Get HMAC key address in memory. More...
__STATIC_INLINE void | ll_hmac_set_key_port_mask (hmac_regs_t *HMACx, uint32_t mask)
| Set HMAC fetch key port mask. More...

## Detailed Description

## Function Documentation

## ◆ ll_hmac_get_data()

__STATIC_INLINE uint32_t ll_hmac_get_data | ( | hmac_regs_t * | HMACx | ) |

Get abstract from HMAC.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | FIFO_OUT | FIFO_OUT | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  Abstract |

Definition at line 1130 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_get_key_address()

__STATIC_INLINE uint32_t ll_hmac_get_key_address | ( | hmac_regs_t * | HMACx | ) |

Get HMAC key address in memory.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY_ADDR | KEY_ADDR | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  Return | value is the address in RAM

Definition at line 1349 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_data()

__STATIC_INLINE void ll_hmac_set_data | ( | hmac_regs_t * | HMACx,
|  | uint32_t | data
| ) |  |

Send data to calculate.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | FIFO_MESSAGE | FIFO_MESSAGE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  data | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1150 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key0()

__STATIC_INLINE void ll_hmac_set_key0 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key0.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[0] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1170 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key1()

__STATIC_INLINE void ll_hmac_set_key1 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key1.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[1] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1190 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key2()

__STATIC_INLINE void ll_hmac_set_key2 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key2.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[2] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1210 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key3()

__STATIC_INLINE void ll_hmac_set_key3 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key3.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[3] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1230 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key4()

__STATIC_INLINE void ll_hmac_set_key4 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key4.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[4] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1250 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key5()

__STATIC_INLINE void ll_hmac_set_key5 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key5.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[5] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1270 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key6()

__STATIC_INLINE void ll_hmac_set_key6 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key6.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[6] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1290 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key7()

__STATIC_INLINE void ll_hmac_set_key7 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key7.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY[7] | KEY | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1310 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key_address()

__STATIC_INLINE void ll_hmac_set_key_address | ( | hmac_regs_t * | HMACx,
|  | uint32_t | address
| ) |  |

Set HMAC key address in memory.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KEY_ADDR | KEY_ADDR | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  address | This parameter can be one of the address in RAM

Return values

  None |

Definition at line 1330 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key_port_mask()

__STATIC_INLINE void ll_hmac_set_key_port_mask | ( | hmac_regs_t * | HMACx,
|  | uint32_t | mask
| ) |  |

Set HMAC fetch key port mask.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | KPORT_MASK | KPORT_MASK | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  mask | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1369 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_127_96()

__STATIC_INLINE void ll_hmac_set_user_hash_127_96 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[127:96].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[4] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1051 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_159_128()

__STATIC_INLINE void ll_hmac_set_user_hash_159_128 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[159:128].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[3] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1031 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_191_160()

__STATIC_INLINE void ll_hmac_set_user_hash_191_160 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[191:160].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[2] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1011 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_223_192()

__STATIC_INLINE void ll_hmac_set_user_hash_223_192 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[223:192].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[1] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 991 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_255_224()

__STATIC_INLINE void ll_hmac_set_user_hash_255_224 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[255:224].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[0] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 971 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_31_0()

__STATIC_INLINE void ll_hmac_set_user_hash_31_0 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[31:0].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[7] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1111 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_63_32()

__STATIC_INLINE void ll_hmac_set_user_hash_63_32 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[63:32].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[6] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1091 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_95_64()

__STATIC_INLINE void ll_hmac_set_user_hash_95_64 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[95:64].

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | USER_HASH[5] | USER_HASH | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1071 of file gr55xx_ll_hmac.h.